diff --git a/sys/dev/netif/ath/ath/if_ath_beacon.c b/sys/dev/netif/ath/ath/if_ath_beacon.c
index bd54409..14b6e49 100644
--- a/sys/dev/netif/ath/ath/if_ath_beacon.c
+++ b/sys/dev/netif/ath/ath/if_ath_beacon.c
@@ -378,7 +378,7 @@ ath_beacon_update(struct ieee80211vap *vap, int item)
 /*
  * Handle a beacon miss.
  */
-void
+static void
 ath_beacon_miss(struct ath_softc *sc)
 {
 	HAL_SURVEY_SAMPLE hs;
@@ -914,7 +914,7 @@ ath_beacon_config(struct ath_softc *sc, struct ieee80211vap *vap)
 	struct ieee80211_node *ni;
 	u_int32_t nexttbtt, intval, tsftu;
 	u_int32_t nexttbtt_u8, intval_u8;
-	u_int64_t tsf, tsf_beacon;
+	u_int64_t tsf;
 
 	if (vap == NULL)
 		vap = TAILQ_FIRST(&ic->ic_vaps);	/* XXX */
@@ -930,15 +930,9 @@ ath_beacon_config(struct ath_softc *sc, struct ieee80211vap *vap)
 
 	ni = ieee80211_ref_node(vap->iv_bss);
 
-	ath_power_set_power_state(sc, HAL_PM_AWAKE);
-
 	/* extract tstamp from last beacon and convert to TU */
 	nexttbtt = TSF_TO_TU(LE_READ_4(ni->ni_tstamp.data + 4),
 			     LE_READ_4(ni->ni_tstamp.data));
-
-	tsf_beacon = ((uint64_t) LE_READ_4(ni->ni_tstamp.data + 4)) << 32;
-	tsf_beacon |= LE_READ_4(ni->ni_tstamp.data);
-
 	if (ic->ic_opmode == IEEE80211_M_HOSTAP ||
 	    ic->ic_opmode == IEEE80211_M_MBSS) {
 		/*
@@ -984,63 +978,14 @@ ath_beacon_config(struct ath_softc *sc, struct ieee80211vap *vap)
 		 */
 		tsf = ath_hal_gettsf64(ah);
 		tsftu = TSF_TO_TU(tsf>>32, tsf) + FUDGE;
-
-		DPRINTF(sc, ATH_DEBUG_BEACON,
-		    "%s: beacon tsf=%llu, hw tsf=%llu, nexttbtt=%u, tsftu=%u\n",
-		    __func__,
-		    (unsigned long long) tsf_beacon,
-		    (unsigned long long) tsf,
-		    nexttbtt,
-		    tsftu);
-		DPRINTF(sc, ATH_DEBUG_BEACON,
-		    "%s: beacon tsf=%llu, hw tsf=%llu, tsf delta=%lld\n",
-		    __func__,
-		    (unsigned long long) tsf_beacon,
-		    (unsigned long long) tsf,
-		    (long long) tsf -
-		    (long long) tsf_beacon);
-
-		DPRINTF(sc, ATH_DEBUG_BEACON,
-		    "%s: nexttbtt=%llu, beacon tsf delta=%lld\n",
-		    __func__,
-		    (unsigned long long) nexttbtt,
-		    (long long) ((long long) nexttbtt * 1024LL) - (long long) tsf_beacon);
-
-		/* XXX cfpcount? */
-
-		if (nexttbtt > tsftu) {
-			uint32_t countdiff, oldtbtt, remainder;
-
-			oldtbtt = nexttbtt;
-			remainder = (nexttbtt - tsftu) % intval;
-			nexttbtt = tsftu + remainder;
-
-			countdiff = (oldtbtt - nexttbtt) / intval % dtimperiod;
-			if (dtimcount > countdiff) {
-				dtimcount -= countdiff;
-			} else {
-				dtimcount += dtimperiod - countdiff;
-			}
-		} else { //nexttbtt <= tsftu
-			uint32_t countdiff, oldtbtt, remainder;
-
-			oldtbtt = nexttbtt;
-			remainder = (tsftu - nexttbtt) % intval;
-			nexttbtt = tsftu - remainder + intval;
-			countdiff = (nexttbtt - oldtbtt) / intval % dtimperiod;
-			if (dtimcount > countdiff) {
-				dtimcount -= countdiff;
-			} else {
-				dtimcount += dtimperiod - countdiff;
+		do {
+			nexttbtt += intval;
+			if (--dtimcount < 0) {
+				dtimcount = dtimperiod - 1;
+				if (--cfpcount < 0)
+					cfpcount = cfpperiod - 1;
 			}
-		}
-
-		DPRINTF(sc, ATH_DEBUG_BEACON,
-		    "%s: adj nexttbtt=%llu, rx tsf delta=%lld\n",
-		    __func__,
-		    (unsigned long long) nexttbtt,
-		    (long long) ((long long)nexttbtt * 1024LL) - (long long)tsf);
-
+		} while (nexttbtt < tsftu);
 		memset(&bs, 0, sizeof(bs));
 		bs.bs_intval = intval;
 		bs.bs_nexttbtt = nexttbtt;
@@ -1087,12 +1032,9 @@ ath_beacon_config(struct ath_softc *sc, struct ieee80211vap *vap)
 			bs.bs_sleepduration = roundup(bs.bs_sleepduration, bs.bs_dtimperiod);
 
 		DPRINTF(sc, ATH_DEBUG_BEACON,
-			"%s: tsf %ju tsf:tu %u intval %u nexttbtt %u dtim %u "
-			"nextdtim %u bmiss %u sleep %u cfp:period %u "
-			"maxdur %u next %u timoffset %u\n"
+			"%s: tsf %ju tsf:tu %u intval %u nexttbtt %u dtim %u nextdtim %u bmiss %u sleep %u cfp:period %u maxdur %u next %u timoffset %u\n"
 			, __func__
-			, tsf
-			, tsftu
+			, tsf, tsftu
 			, bs.bs_intval
 			, bs.bs_nexttbtt
 			, bs.bs_dtimperiod
@@ -1169,9 +1111,8 @@ ath_beacon_config(struct ath_softc *sc, struct ieee80211vap *vap)
 		if (ic->ic_opmode == IEEE80211_M_IBSS && sc->sc_hasveol)
 			ath_beacon_start_adhoc(sc, vap);
 	}
+	sc->sc_syncbeacon = 0;
 	ieee80211_free_node(ni);
-
-	ath_power_restore_power_state(sc);
 #undef FUDGE
 #undef TSF_TO_TU
 }
diff --git a/sys/dev/netif/ath/ath/if_ath_beacon.h b/sys/dev/netif/ath/ath/if_ath_beacon.h
index 9a17149..f3f73d7 100644
--- a/sys/dev/netif/ath/ath/if_ath_beacon.h
+++ b/sys/dev/netif/ath/ath/if_ath_beacon.h
@@ -48,6 +48,5 @@ extern	int ath_beacon_alloc(struct ath_softc *sc, struct ieee80211_node *ni);
 extern	void ath_beacon_return(struct ath_softc *sc, struct ath_buf *bf);
 extern	void ath_beacon_free(struct ath_softc *sc);
 extern	void ath_beacon_proc(void *arg, int pending);
-extern	void ath_beacon_miss(struct ath_softc *sc);
 
 #endif
diff --git a/sys/dev/netif/ath/ath/if_ath_debug.h b/sys/dev/netif/ath/ath/if_ath_debug.h
index 38d0d9c..edd53f2 100644
--- a/sys/dev/netif/ath/ath/if_ath_debug.h
+++ b/sys/dev/netif/ath/ath/if_ath_debug.h
@@ -68,7 +68,6 @@ enum {
 	ATH_DEBUG_SW_TX_FILT	= 0x400000000ULL,	/* SW TX FF */
 	ATH_DEBUG_NODE_PWRSAVE	= 0x800000000ULL,	/* node powersave */
 	ATH_DEBUG_DIVERSITY	= 0x1000000000ULL,	/* Diversity logic */
-	ATH_DEBUG_PWRSAVE	= 0x2000000000ULL,
 
 	ATH_DEBUG_ANY		= 0xffffffffffffffffULL
 };
diff --git a/sys/dev/netif/ath/ath/if_ath_keycache.c b/sys/dev/netif/ath/ath/if_ath_keycache.c
index f505258..0a654b5 100644
--- a/sys/dev/netif/ath/ath/if_ath_keycache.c
+++ b/sys/dev/netif/ath/ath/if_ath_keycache.c
@@ -75,7 +75,6 @@
 
 #include <dev/netif/ath/ath/if_ath_debug.h>
 #include <dev/netif/ath/ath/if_ath_keycache.h>
-#include <dev/netif/ath/ath/if_ath_misc.h>
 
 extern  const char* ath_hal_ether_sprintf(const uint8_t *mac);
 
@@ -198,7 +197,6 @@ ath_keyset(struct ath_softc *sc, struct ieee80211vap *vap,
 	u_int8_t gmac[IEEE80211_ADDR_LEN];
 	const u_int8_t *mac;
 	HAL_KEYVAL hk;
-	int ret;
 
 	memset(&hk, 0, sizeof(hk));
 	/*
@@ -252,17 +250,13 @@ ath_keyset(struct ath_softc *sc, struct ieee80211vap *vap,
 	} else
 		mac = k->wk_macaddr;
 
-	ath_power_set_power_state(sc, HAL_PM_AWAKE);
 	if (hk.kv_type == HAL_CIPHER_TKIP &&
 	    (k->wk_flags & IEEE80211_KEY_SWMIC) == 0) {
-		ret = ath_keyset_tkip(sc, k, &hk, mac);
+		return ath_keyset_tkip(sc, k, &hk, mac);
 	} else {
 		KEYPRINTF(sc, k->wk_keyix, &hk, mac);
-		ret = ath_hal_keyset(ah, k->wk_keyix, &hk, mac);
+		return ath_hal_keyset(ah, k->wk_keyix, &hk, mac);
 	}
-	ath_power_restore_power_state(sc);
-
-	return (ret);
 #undef N
 }
 
@@ -497,7 +491,6 @@ ath_key_delete(struct ieee80211vap *vap, const struct ieee80211_key *k)
 
 	DPRINTF(sc, ATH_DEBUG_KEYCACHE, "%s: delete key %u\n", __func__, keyix);
 
-	ath_power_set_power_state(sc, HAL_PM_AWAKE);
 	ath_hal_keyreset(ah, keyix);
 	/*
 	 * Handle split tx/rx keying required for TKIP with h/w MIC.
@@ -521,7 +514,6 @@ ath_key_delete(struct ieee80211vap *vap, const struct ieee80211_key *k)
 			}
 		}
 	}
-	ath_power_restore_power_state(sc);
 	return 1;
 }
 
diff --git a/sys/dev/netif/ath/ath/if_ath_led.c b/sys/dev/netif/ath/ath/if_ath_led.c
index 14fe1d3..376e201 100644
--- a/sys/dev/netif/ath/ath/if_ath_led.c
+++ b/sys/dev/netif/ath/ath/if_ath_led.c
@@ -118,8 +118,6 @@
 void
 ath_led_config(struct ath_softc *sc)
 {
-	ath_power_set_power_state(sc, HAL_PM_AWAKE);
-
 	/* Software LED blinking - GPIO controlled LED */
 	if (sc->sc_softled) {
 		ath_hal_gpioCfgOutput(sc->sc_ah, sc->sc_ledpin,
@@ -142,8 +140,6 @@ ath_led_config(struct ath_softc *sc)
 			ath_hal_gpioCfgOutput(sc->sc_ah, sc->sc_led_net_pin,
 			    HAL_GPIO_OUTPUT_MUX_MAC_NETWORK_LED);
 	}
-
-	ath_power_restore_power_state(sc);
 }
 
 static void
diff --git a/sys/dev/netif/ath/ath/if_ath_misc.h b/sys/dev/netif/ath/ath/if_ath_misc.h
index 4632976..cc3df2f 100644
--- a/sys/dev/netif/ath/ath/if_ath_misc.h
+++ b/sys/dev/netif/ath/ath/if_ath_misc.h
@@ -127,19 +127,6 @@ extern	void ath_start_task(void *arg, int npending);
 extern void ath_tx_dump(struct ath_softc *sc, struct ath_txq *txq);
 
 /*
- * Power state tracking.
- */
-extern	void _ath_power_setpower(struct ath_softc *sc, int power_state, const char *file, int line);
-extern	void _ath_power_set_selfgen(struct ath_softc *sc, int power_state, const char *file, int line);
-extern	void _ath_power_set_power_state(struct ath_softc *sc, int power_state, const char *file, int line);
-extern	void _ath_power_restore_power_state(struct ath_softc *sc, const char *file, int line);
-
-#define	ath_power_setpower(sc, ps) _ath_power_setpower(sc, ps, __FILE__, __LINE__)
-#define	ath_power_setselfgen(sc, ps) _ath_power_set_selfgen(sc, ps, __FILE__, __LINE__)
-#define	ath_power_set_power_state(sc, ps) _ath_power_set_power_state(sc, ps, __FILE__, __LINE__)
-#define	ath_power_restore_power_state(sc) _ath_power_restore_power_state(sc, __FILE__, __LINE__)
-
-/*
  * Kick the frame TX task.
  */
 static inline void
diff --git a/sys/dev/netif/ath/ath/if_ath_rx.c b/sys/dev/netif/ath/ath/if_ath_rx.c
index 0812781..84af07a 100644
--- a/sys/dev/netif/ath/ath/if_ath_rx.c
+++ b/sys/dev/netif/ath/ath/if_ath_rx.c
@@ -163,22 +163,10 @@ ath_calcrxfilter(struct ath_softc *sc)
 	/* XXX ic->ic_monvaps != 0? */
 	if (ic->ic_opmode == IEEE80211_M_MONITOR || (ifp->if_flags & IFF_PROMISC))
 		rfilt |= HAL_RX_FILTER_PROM;
-
-	/*
-	 * Only listen to all beacons if we're scanning.
-	 *
-	 * Otherwise we only really need to hear beacons from
-	 * our own BSSID.
-	 */
 	if (ic->ic_opmode == IEEE80211_M_STA ||
-	    ic->ic_opmode == IEEE80211_M_IBSS || sc->sc_swbmiss) {
-		if (sc->sc_do_mybeacon && ! sc->sc_scanning) {
-			rfilt |= HAL_RX_FILTER_MYBEACON;
-		} else { /* scanning, non-mybeacon chips */
-			rfilt |= HAL_RX_FILTER_BEACON;
-		}
-	}
-
+	    ic->ic_opmode == IEEE80211_M_IBSS ||
+	    sc->sc_swbmiss || sc->sc_scanning)
+		rfilt |= HAL_RX_FILTER_BEACON;
 	/*
 	 * NB: We don't recalculate the rx filter when
 	 * ic_protmode changes; otherwise we could do
@@ -326,23 +314,6 @@ ath_recv_mgmt(struct ieee80211_node *ni, struct mbuf *m,
 {
 	struct ieee80211vap *vap = ni->ni_vap;
 	struct ath_softc *sc = vap->iv_ic->ic_ifp->if_softc;
-	uint64_t tsf_beacon_old, tsf_beacon;
-	uint64_t nexttbtt;
-	int64_t tsf_delta;
-	int32_t tsf_delta_bmiss;
-	int32_t tsf_remainder;
-	uint64_t tsf_beacon_target;
-	int tsf_intval;
-
-	tsf_beacon_old = ((uint64_t) LE_READ_4(ni->ni_tstamp.data + 4)) << 32;
-	tsf_beacon_old |= LE_READ_4(ni->ni_tstamp.data);
-
-#define	TU_TO_TSF(_tu)	(((u_int64_t)(_tu)) << 10)
-	tsf_intval = 1;
-	if (ni != NULL && ni->ni_intval > 0) {
-		tsf_intval = TU_TO_TSF(ni->ni_intval);
-	}
-#undef	TU_TO_TSF
 
 	/*
 	 * Call up first so subsequent work can use information
@@ -354,79 +325,14 @@ ath_recv_mgmt(struct ieee80211_node *ni, struct mbuf *m,
 		/* update rssi statistics for use by the hal */
 		/* XXX unlocked check against vap->iv_bss? */
 		ATH_RSSI_LPF(sc->sc_halstats.ns_avgbrssi, rssi);
-
-		tsf_beacon = ((uint64_t) LE_READ_4(ni->ni_tstamp.data + 4)) << 32;
-		tsf_beacon |= LE_READ_4(ni->ni_tstamp.data);
-
-		nexttbtt = ath_hal_getnexttbtt(sc->sc_ah);
-
-		/*
-		 * Let's calculate the delta and remainder, so we can see
-		 * if the beacon timer from the AP is varying by more than
-		 * a few TU.  (Which would be a huge, huge problem.)
-		 */
-		tsf_delta = (long long) tsf_beacon - (long long) tsf_beacon_old;
-
-		tsf_delta_bmiss = tsf_delta / tsf_intval;
-
-		/*
-		 * If our delta is greater than half the beacon interval,
-		 * let's round the bmiss value up to the next beacon
-		 * interval.  Ie, we're running really, really early
-		 * on the next beacon.
-		 */
-		if (tsf_delta % tsf_intval > (tsf_intval / 2))
-			tsf_delta_bmiss ++;
-
-		tsf_beacon_target = tsf_beacon_old +
-		    (((unsigned long long) tsf_delta_bmiss) * (long long) tsf_intval);
-
-		/*
-		 * The remainder using '%' is between 0 .. intval-1.
-		 * If we're actually running too fast, then the remainder
-		 * will be some large number just under intval-1.
-		 * So we need to look at whether we're running
-		 * before or after the target beacon interval
-		 * and if we are, modify how we do the remainder
-		 * calculation.
-		 */
-		if (tsf_beacon < tsf_beacon_target) {
-			tsf_remainder =
-			    -(tsf_intval - ((tsf_beacon - tsf_beacon_old) % tsf_intval));
-		} else {
-			tsf_remainder = (tsf_beacon - tsf_beacon_old) % tsf_intval;
-		}
-
-		DPRINTF(sc, ATH_DEBUG_BEACON, "%s: old_tsf=%llu, new_tsf=%llu, target_tsf=%llu, delta=%lld, bmiss=%d, remainder=%d\n",
-		    __func__,
-		    (unsigned long long) tsf_beacon_old,
-		    (unsigned long long) tsf_beacon,
-		    (unsigned long long) tsf_beacon_target,
-		    (long long) tsf_delta,
-		    tsf_delta_bmiss,
-		    tsf_remainder);
-
-		DPRINTF(sc, ATH_DEBUG_BEACON, "%s: tsf=%llu, nexttbtt=%llu, delta=%d\n",
-		    __func__,
-		    (unsigned long long) tsf_beacon,
-		    (unsigned long long) nexttbtt,
-		    (int32_t) tsf_beacon - (int32_t) nexttbtt + tsf_intval);
-
 		if (sc->sc_syncbeacon &&
-		    ni == vap->iv_bss &&
-		    (vap->iv_state == IEEE80211_S_RUN || vap->iv_state == IEEE80211_S_SLEEP)) {
-			DPRINTF(sc, ATH_DEBUG_BEACON,
-			    "%s: syncbeacon=1; syncing\n",
-			    __func__);
+		    ni == vap->iv_bss && vap->iv_state == IEEE80211_S_RUN) {
 			/*
 			 * Resync beacon timers using the tsf of the beacon
 			 * frame we just received.
 			 */
 			ath_beacon_config(sc, vap);
-			sc->sc_syncbeacon = 0;
 		}
-
-
 		/* fall thru... */
 	case IEEE80211_FC0_SUBTYPE_PROBE_RESP:
 		if (vap->iv_opmode == IEEE80211_M_IBSS &&
@@ -1002,8 +908,6 @@ ath_rx_proc(struct ath_softc *sc, int resched)
 	kickpcu = sc->sc_kickpcu;
 	ATH_PCU_UNLOCK(sc);
 
-	ath_power_set_power_state(sc, HAL_PM_AWAKE);
-
 	DPRINTF(sc, ATH_DEBUG_RX_PROC, "%s: called\n", __func__);
 	ngood = 0;
 	nf = ath_hal_getchannoise(ah, sc->sc_curchan);
@@ -1159,11 +1063,6 @@ rx_proc_next:
 #undef PA2DESC
 
 	/*
-	 * Put the hardware to sleep again if we're done with it.
-	 */
-	ath_power_restore_power_state(sc);
-
-	/*
 	 * If we hit the maximum number of frames in this round,
 	 * reschedule for another immediate pass.  This gives
 	 * the TX and TX completion routines time to run, which
diff --git a/sys/dev/netif/ath/ath/if_ath_rx_edma.c b/sys/dev/netif/ath/ath/if_ath_rx_edma.c
index 53a1514..cdb9fdf 100644
--- a/sys/dev/netif/ath/ath/if_ath_rx_edma.c
+++ b/sys/dev/netif/ath/ath/if_ath_rx_edma.c
@@ -282,21 +282,17 @@ static void
 ath_edma_recv_sched_queue(struct ath_softc *sc, HAL_RX_QUEUE qtype,
     int dosched)
 {
-	ath_power_set_power_state(sc, HAL_PM_AWAKE);
-	ath_edma_recv_proc_queue(sc, qtype, dosched);
-	ath_power_restore_power_state(sc);
 
+	ath_edma_recv_proc_queue(sc, qtype, dosched);
 	taskqueue_enqueue(sc->sc_tq, &sc->sc_rxtask);
 }
 
 static void
 ath_edma_recv_sched(struct ath_softc *sc, int dosched)
 {
-	ath_power_set_power_state(sc, HAL_PM_AWAKE);
+
 	ath_edma_recv_proc_queue(sc, HAL_RX_QUEUE_HP, dosched);
 	ath_edma_recv_proc_queue(sc, HAL_RX_QUEUE_LP, dosched);
-	ath_power_restore_power_state(sc);
-
 	taskqueue_enqueue(sc->sc_tq, &sc->sc_rxtask);
 }
 
@@ -310,8 +306,6 @@ ath_edma_recv_flush(struct ath_softc *sc)
 	sc->sc_rxproc_cnt++;
 	ATH_PCU_UNLOCK(sc);
 
-	ath_power_set_power_state(sc, HAL_PM_AWAKE);
-
 	/*
 	 * Flush any active frames from FIFO -> deferred list
 	 */
@@ -321,16 +315,9 @@ ath_edma_recv_flush(struct ath_softc *sc)
 	/*
 	 * Process what's in the deferred queue
 	 */
-	/*
-	 * XXX: If we read the tsf/channoise here and then pass it in,
-	 * we could restore the power state before processing
-	 * the deferred queue.
-	 */
 	ath_edma_recv_proc_deferred_queue(sc, HAL_RX_QUEUE_HP, 0);
 	ath_edma_recv_proc_deferred_queue(sc, HAL_RX_QUEUE_LP, 0);
 
-	ath_power_restore_power_state(sc);
-
 	ATH_PCU_LOCK(sc);
 	sc->sc_rxproc_cnt--;
 	ATH_PCU_UNLOCK(sc);
@@ -565,21 +552,12 @@ ath_edma_recv_tasklet(void *arg, int npending)
 	sc->sc_rxproc_cnt++;
 	ATH_PCU_UNLOCK(sc);
 
-	ath_power_set_power_state(sc, HAL_PM_AWAKE);
-
 	ath_edma_recv_proc_queue(sc, HAL_RX_QUEUE_HP, 1);
 	ath_edma_recv_proc_queue(sc, HAL_RX_QUEUE_LP, 1);
 
 	ath_edma_recv_proc_deferred_queue(sc, HAL_RX_QUEUE_HP, 1);
 	ath_edma_recv_proc_deferred_queue(sc, HAL_RX_QUEUE_LP, 1);
 
-	/*
-	 * XXX: If we read the tsf/channoise here and then pass it in,
-	 * we could restore the power state before processing
-	 * the deferred queue.
-	 */
-	ath_power_restore_power_state(sc);
-
 	/* XXX inside IF_LOCK ? */
 	if (!ifq_is_oactive(&ifp->if_snd)) {
 #ifdef	IEEE80211_SUPPORT_SUPERG
diff --git a/sys/dev/netif/ath/ath/if_ath_sysctl.c b/sys/dev/netif/ath/ath/if_ath_sysctl.c
index ddd46c8..833caae 100644
--- a/sys/dev/netif/ath/ath/if_ath_sysctl.c
+++ b/sys/dev/netif/ath/ath/if_ath_sysctl.c
@@ -109,12 +109,10 @@ ath_sysctl_slottime(SYSCTL_HANDLER_ARGS)
 	int error;
 
 	wlan_serialize_enter();
-	ath_power_set_power_state(sc, HAL_PM_AWAKE);
 	slottime = ath_hal_getslottime(sc->sc_ah);
 	error = sysctl_handle_int(oidp, &slottime, 0, req);
 	if (error == 0 && req->newptr)
 		error = !ath_hal_setslottime(sc->sc_ah, slottime) ? EINVAL : 0;
-	ath_power_restore_power_state(sc);
 	wlan_serialize_exit();
 	return error;
 }
